Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libburn
Version:	0.6.6
Release:	1
License:	GNU/GPLv2
URL:		http://libburnia-project.org
Group:		System/Libraries
Summary:	Library for reading, mastering and writing optical discs
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.pl00.tar.gz

#Manual build dependencies
BuildRequires: doxygen

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Libburn is an open-source library for reading, mastering and writing
optical discs. For now this means only CD-R and CD-RW.
The project comprises of several more or less interdependent parts which
together strive to be a usable foundation for application development.
These are libraries, language bindings, and middleware binaries which emulate
classical (and valuable) Linux tools.

%package	devel
Summary:	%{name} development headers.
Group:		Develipment/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}
doxygen doc/doxygen.conf

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTORS COPYING COPYRIGHT ChangeLog README 
%_bindir
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%doc doc/html
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri May 08 2009 Christian Wasem <wasem@ccux-linux.de> 0.6.6.pl00-1
- Version update
* Sat Apr 04 2009 Christian Wasem <wasem@ccux-linux.de> 0.6.4.pl00-1
- initial CCux package release
